Loading...
Searching...
No Matches
object_manager.h File Reference

Object manager. More...

`#include "common/singleton.h"`
`#include "math/const.h"`
`#include "math/vector.h"`
`#include "object/object_create_params.h"`
`#include "object/object_interface_type.h"`
`#include "object/object_type.h"`
`#include "object/interface/destroyable_object.h"`
`#include <map>`
`#include <vector>`
`#include <memory>`
Include dependency graph for object_manager.h:

## Classes

class | CObjectIteratorProxy
class | CObjectContainerProxy
class | CObjectManager
| Manages CObject instances. More...

## Namespaces

namespace | Gfx
| Namespace for (new) graphics code.

## Typedefs

using | CObjectMap = std::map<int, std::unique_ptr<CObject>>
using | CObjectMapCIt = std::map<int, std::unique_ptr<CObject>>::const_iterator

## Enumerations

enum | RadarFilter { FILTER_NONE = 0 , FILTER_ONLYLANDING = 1 << (8+0) , FILTER_ONLYFLYING = 1 << (8+1) , FILTER_FRIENDLY = 1 << (8+2) , FILTER_ENEMY = 1 << (8+3) , FILTER_NEUTRAL = 1 << (8+4) }

## Detailed Description

Object manager.